# blog.opentechstrategies.com

This is OTS's blog backend.  It contains:
 * [Pelican](https://getpelican.com) config 
 * Jinja templates
 * Blog posts, pages, uploaded media

## Developing And Writing Posts

In a terminal, do this:

```
git clone PUT REPO GIT INFO HERE
cd PELICAN DIR
bin/serve
```

Then add a file to `sites/content/posts`.  The site will update and you can view
it on [localhost:8000](http://localhost:8000).

When you're satisfied with your post, add it to the website:

```
git add PATH/TO/POST
git commit -m "Add new post"
git push
```

TODO: add instructions for actually taking a post live.  Theoretically, they
should be able to just rsync it somewhere, but maybe we should check out the
repo server-side and then do a `git pull` and `bin/build`.

## Dependencies

You will need [Pelican](https://getpelican.com) with the markdown plugin.  You
can install it with:

```
pip install -r requirements.txt
```

You might have to fiddle with a virtual environment, but that will be specific
to your system, so I leave that to you.


